
Foreman - Feature #1301

Consider adding a per-user API key

11/08/2011 10:25 PM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4597

  

Description

Many Rails apps support authentication via a per user API key. If it's not too much work, we may wish to add this as an option.

Related issues:

Related to Foreman - Feature #1576: Implement oauth authentication and author... Closed

Related to Hammer CLI - Feature #8016: Ability to use tokenized authenticatio... Closed 10/21/2014

Related to Foreman - Feature #8852: add token-based authentication feature fo... New

Related to Foreman - Bug #18245: Enabling OAuth is too dangerous New 01/25/2017

Related to Foreman - Feature #21394: add an api for personal access tokens Closed

Related to Foreman - Feature #31080: Add UI for managing Personal Access Tokens Closed

Has duplicate Foreman - Feature #4331: allow for per-user oauth api keys Duplicate 02/12/2014

History

#1 - 07/24/2012 04:15 AM - Ohad Levy

- Target version set to 1.1

would the oauth implementation would suffice ?

#2 - 07/24/2012 08:50 AM - Brian Gupta

Welll.. As I understand, Oauth is to allow external auth sources. (You need a third party oauth trusted authentication source, no?)

When I created this ticket, I was thinking of a native API key, that each user could generate and revoke for their own accounts, so they didn't have to

bake their pw into scripts and what not... (Correct me if I am misunderstanding what you are proposing with Oauth).

#3 - 11/15/2012 06:43 AM - alan mcginlay

- File api_token.png added

The way gitlab manages it would be ideal. Example api request:

GET http://example.com/api/v2/projects?private_token=QVy1PB7sTxfy4pqfZM1U

That would list out all the projects which the user with that private token has access to.

#4 - 11/23/2012 03:02 PM - Ohad Levy

- Target version deleted (1.1)

#5 - 02/13/2014 09:06 AM - Dominic Cleal

- Has duplicate Feature #4331: allow for per-user oauth api keys added

#6 - 02/13/2014 09:07 AM - Dominic Cleal

- Related to Feature #1576: Implement oauth authentication and authorization added
#7 - 02/13/2014 09:07 AM - Dominic Cleal

- Subject changed from Consider adding an API key to Consider adding a per-user API key

#8 - 10/21/2014 11:46 AM - Dominic Cleal

- Related to Feature #8016: Ability to use tokenized authentication to hammer in lieu of username/password in configuration file. added

#9 - 01/09/2015 10:11 AM - Dominic Cleal

- Related to Feature #8852: add token-based authentication feature for API added

#10 - 01/26/2017 02:57 AM - Dominic Cleal

- Related to Bug #18245: Enabling OAuth is too dangerous added

#11 - 06/10/2017 11:12 AM - Timo Goebel

- Status changed from New to Assigned

- Assignee set to Timo Goebel

#12 - 06/16/2017 08:23 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4597 added

#13 - 10/19/2017 01:38 PM - Timo Goebel

- Related to Feature #21394: add an api for personal access tokens added

#14 - 05/29/2020 06:36 AM - Rahul Bajaj

- Status changed from Ready For Testing to Closed

#15 - 07/07/2020 01:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7806 added

#16 - 10/15/2020 09:06 AM - Kamil Szubrycht

- Related to Feature #31080: Add UI for managing Personal Access Tokens added

#17 - 10/15/2020 09:17 AM - Kamil Szubrycht

- Pull request deleted (https://github.com/theforeman/foreman/pull/7806)
